# Generated from gauze-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gauze

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A thin filtering library leveraging AREL & ActionController
License: MIT
URL: https://github.com/TheKidCoder/Gauze
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Using scopes on a model that only need to accessed in a controller seems like
a leakage of SRP. This gem will allow you to write simple filtering logic that
translates your params to AREL queries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gauze.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.1-1
- Initial package
